## barbican 19.0.0

=== requirements.txt ===
alembic>=0.8.10 # MIT
cffi>=1.7.0 # MIT
cryptography>=2.1 # BSD/Apache-2.0
eventlet>=0.18.2,!=0.18.3,!=0.20.1  # MIT
jsonschema>=3.2.0 # MIT
oslo.config>=6.4.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.policy>=3.11.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=9.5.0 # Apache-2.0
SQLAlchemy>=1.4.0 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
castellan >= 1.2.1 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
barbican (1:19.0.0-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 25 Jul 2025 10:09:43 +0000

barbican (1:19.0.0-4) unstable; urgency=medium

  * Removed pep8 build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:34:33 +0100

barbican (1:19.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090399).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 09:12:08 +0100

barbican (1:19.0.0-2) unstable; urgency=medium

  * Black list WhenTestingP11CryptoPlugin.test_create_pkcs11 that is failing
    under Python 3.13, see https://bugs.launchpad.net/barbican/+bug/2089735.
    (Closes: #1088317).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Nov 2024 09:01:32 +0100

barbican (1:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 13:18:14 +0200

barbican (1:19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:28:07 +0200

barbican (1:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-openssl from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 09:11:40 +0200

=== debian/control ===
Source: barbican
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-castellan,
 python3-cffi,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-falcon,
 python3-fixtures,
 python3-hacking <!nocheck>,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ldap3,
 python3-microversion-parse,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest <!nocheck>,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pygments <!nocheck>,
 python3-pykmip <!nodoc>,
 python3-requests,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tempest <!nocheck>,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
 tempest <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/barbican
Vcs-Git: https://salsa.debian.org/openstack-team/services/barbican.git
Homepage: https://github.com/openstack/barbican

Package: barbican-api
Architecture: all
Section: python
Depends:
 adduser,
 barbican-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 alembic,
 python3-castellan,
 python3-cffi,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-falcon,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-ldap3,
 python3-microversion-parse,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite debian/po debian/barbican-api.templates debian/barbican-common.templates
	rm -f debian/barbican-api.postinst debian/barbican-api.config debian/barbican-common.postinst debian/barbican-common.config debian/barbican-common.postrm
	find $(CURDIR) -type f -iname '*.pyc' -delete || true
	find $(CURDIR) -type d -iname __pycache__ -exec rm -rf {} \; || true
	rm -rf *.egg-info
	rm -f doc/source/_static/barbican.conf.sample doc/source/_static/barbican.policy.yaml.sample

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm barbican-common.postrm
	pkgos-merge-templates barbican-api barbican endpoint
	pkgos-merge-templates barbican-common barbican db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done
# test_should_raise_with_unsigned_pkcs10_data see #1011703
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# This needs further setup. Let's disable it for now:
	# barbican.tests.queue.test_keystone_listener.WhenUsingNotificationTask.*
	# Test broken under Python 3.13:
	# barbican.tests.plugin.crypto.test_p11_crypto.WhenTestingP11CryptoPlugin.test_create_pkcs11
	# See https://bugs.launchpad.net/barbican/+bug/2089735
	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*common\.test_validators\.WhenTestingSecretMetadataValidator\.test_should_validate_all_fields_and_make_key_lowercase.*|.*test_hacking\.HackingTestCase\.test_str_on_exception.*|.*test_hacking\.HackingTestCase\.test_str_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_str_unicode_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_unicode_on_exception.*|.*common\.test_validators\.WhenTestingSimpleCMCOrderValidator\.test_should_raise_with_unsigned_pkcs10_data.*|.*test_keystone_listener\.WhenUsingNotificationTask.*|plugin\.crypto\.test_p11_crypto\.WhenTestingP11CryptoPlugin\.test_create_pkcs11))'
endif

	# Generate the barbican.conf config using installed python-barbican files.
	mkdir -p $(CURDIR)/debian/barbican-common/usr/share/barbican-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf \
		--wrap-width 140 \
		--namespace barbican.certificate.plugin \
		--namespace barbican.certificate.plugin.snakeoil \
		--namespace barbican.common.config \
		--namespace barbican.plugin.crypto \
		--namespace barbican.plugin.crypto.p11 \
		--namespace barbican.plugin.crypto.simple \
		--namespace barbican.plugin.dogtag \
		--namespace barbican.plugin.secret_store \
		--namespace barbican.plugin.secret_store.kmip \
		--namespace barbican.plugin.secret_store.vault \
		--namespace keystonemiddleware.audit \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican

	# Same with policy.conf
	mkdir -p $(CURDIR)/debian/barbican-common/etc/barbican/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/barbican-common/etc/barbican/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace barbican

	# Comment out deprecated policies, otherwise, the policy doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/barbican-common/etc/barbican/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf oslo_policy policy_dirs /etc/barbican/policy.d


	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_notifications enable True

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

	# Installing the other config files.
	for i in api_audit_map.conf barbican-api-paste.ini barbican-functional.conf ; do \
		install -D -m 0664 etc/barbican/$$i $(CURDIR)/debian/barbican-common/usr/share/barbican-common/$$i ; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## barbican 19.0.0+git2025011509.55c758eb

=== debian/changelog ===
barbican (2:19.0.0+git2025011509.55c758eb-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * d/control,barbican-retry.init.in: Enable Barbican Retry Scheduler
    service (LP: #2085673).
  * d/tests/*: Update autopkgtests to cover barbican-retry.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with snapshot.
  * d/p/python313-compat.patch: Cherry pick proposed test fix for
    compatibility with Python 3.13.
  * d/control: Drop dependencies that are no longer required - six,
    mock, reno, pep8, bandit.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 09:07:04 +0000

barbican (2:19.0.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:19:01 +0100

barbican (2:19.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with release.

 -- James Page <james.page@ubuntu.com>  Thu, 12 Sep 2024 15:46:30 +0100

barbican (2:18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 11:28:35 +0100

barbican (2:18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * d/watch: Track Caracal series releases.
  * New upstream release candidate for OpenStack Caracal.
  * d/p/skip-cryptography-failure.patch: Drop, no longer needed.
  * d/p/*: Refresh, rebase.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Mar 2024 16:25:05 +0000

barbican (2:17.0.0+git2024030809.8f92d6f5-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2024 11:24:19 +0000

## barbican 19.0.0+git2025030311.4500d9f4

=== debian/changelog ===
barbican (2:19.0.0+git2025030311.4500d9f4-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 09:12:00 +0000

## barbican 20.0.0~rc1

=== debian/changelog ===
barbican (1:20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 13:52:55 +0100

barbican (1:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 17:33:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,6 @@
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf \
 		--wrap-width 140 \
-		--namespace barbican.certificate.plugin \
-		--namespace barbican.certificate.plugin.snakeoil \
 		--namespace barbican.common.config \
 		--namespace barbican.plugin.crypto \
 		--namespace barbican.plugin.crypto.p11 \
@@ -59,6 +57,9 @@
 		--namespace barbican.plugin.secret_store \
 		--namespace barbican.plugin.secret_store.kmip \
 		--namespace barbican.plugin.secret_store.vault \
+		--namespace barbican.certificate.plugin \
+		--namespace barbican.certificate.plugin.snakeoil \
+		--namespace barbican.common.config \
 		--namespace keystonemiddleware.audit \
 		--namespace keystonemiddleware.auth_token \
 		--namespace oslo.log \
@@ -71,6 +72,7 @@
 		--namespace oslo.service.service \
 		--namespace oslo.service.sslutils \
 		--namespace oslo.service.wsgi
+
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican
 
 	# Same with policy.conf

## barbican 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 alembic>=0.8.10 # MIT
 cffi>=1.7.0 # MIT
 cryptography>=2.1 # BSD/Apache-2.0
@@ -10,11 +14,11 @@
 oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
-oslo.policy>=3.11.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.utils>=7.0.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT

=== debian/changelog ===
barbican (1:20.0.0-3) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 10:13:11 +0200

barbican (1:20.0.0-2) unstable; urgency=medium

  * Add upstream patch Refactor-test_create_pkcs11-for-future-compat.patch and
    re-enable WhenTestingP11CryptoPlugin.test_create_pkcs11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 May 2025 08:14:47 +0200

barbican (1:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:03:29 +0200

=== debian/control ===
--- 
+++ 
@@ -40,11 +40,11 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
+ python3-oslo.utils (>= 7.0.0),
  python3-oslo.versionedobjects,
  python3-oslotest <!nocheck>,
  python3-paste,
@@ -170,11 +170,11 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
+ python3-oslo.utils (>= 7.0.0),
  python3-oslo.versionedobjects,
  python3-paste,
  python3-pastedeploy,

=== debian/rules ===
--- 
+++ 
@@ -38,10 +38,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# This needs further setup. Let's disable it for now:
 	# barbican.tests.queue.test_keystone_listener.WhenUsingNotificationTask.*
-	# Test broken under Python 3.13:
-	# barbican.tests.plugin.crypto.test_p11_crypto.WhenTestingP11CryptoPlugin.test_create_pkcs11
-	# See https://bugs.launchpad.net/barbican/+bug/2089735
-	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*common\.test_validators\.WhenTestingSecretMetadataValidator\.test_should_validate_all_fields_and_make_key_lowercase.*|.*test_hacking\.HackingTestCase\.test_str_on_exception.*|.*test_hacking\.HackingTestCase\.test_str_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_str_unicode_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_unicode_on_exception.*|.*common\.test_validators\.WhenTestingSimpleCMCOrderValidator\.test_should_raise_with_unsigned_pkcs10_data.*|.*test_keystone_listener\.WhenUsingNotificationTask.*|plugin\.crypto\.test_p11_crypto\.WhenTestingP11CryptoPlugin\.test_create_pkcs11))'
+	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*common\.test_validators\.WhenTestingSecretMetadataValidator\.test_should_validate_all_fields_and_make_key_lowercase.*|.*test_hacking\.HackingTestCase\.test_str_on_exception.*|.*test_hacking\.HackingTestCase\.test_str_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_str_unicode_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_unicode_on_exception.*|.*common\.test_validators\.WhenTestingSimpleCMCOrderValidator\.test_should_raise_with_unsigned_pkcs10_data.*|.*test_keystone_listener\.WhenUsingNotificationTask.*))'
 endif
 
 	# Generate the barbican.conf config using installed python-barbican files.

## barbican 20.0.0+git2025070714.bfd1e72b

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 alembic>=0.8.10 # MIT
 cffi>=1.7.0 # MIT
 cryptography>=2.1 # BSD/Apache-2.0
-eventlet>=0.18.2,!=0.18.3,!=0.20.1  # MIT
+eventlet>=0.27.0 # MIT
 jsonschema>=3.2.0 # MIT
 oslo.config>=6.4.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
@@ -24,7 +24,6 @@
 PasteDeploy>=1.5.0 # MIT
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
-ldap3>=1.0.2 # LGPLv3
 keystonemiddleware>=9.5.0 # Apache-2.0
 SQLAlchemy>=1.4.0 # MIT
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
barbican (2:20.0.0+git2025070714.bfd1e72b-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/ldap3-to-ldap.patch: Drop patch.
  * d/series: Drop ldap3-to-ldap.patch.
  * d/series: Drop python313-compat.patch.
  * d/p/python313-compat.patch: Drop patch applied upstream.
  * d/p/install-missing-db-files.patch: Refresh.
  * d/p/remove-rsvgconverter.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 07:17:29 -0700

barbican (2:20.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 16:42:05 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/barbican/ barbican-(20\.\d.*)\.tar\.gz

## barbican 21.0.0~rc1

=== debian/changelog ===
barbican (1:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Refactor-test_create_pkcs11-for-future-compat.patch applied
    upstream.
  * Run more tests, and generate test barbican.conf file before testing.
    Blacklist WhenTestingSimpleCryptoPlugin.* that's having configuration
    loading issues.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 08:26:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr,
@@ -22,14 +22,12 @@
  python3-coverage,
  python3-cryptography,
  python3-dateutil,
- python3-eventlet,
  python3-falcon,
  python3-fixtures,
  python3-hacking <!nocheck>,
  python3-jsonschema,
  python3-keystoneclient,
  python3-keystonemiddleware,
- python3-ldap3,
  python3-microversion-parse,
  python3-openstackdocstheme <!nodoc>,
  python3-os-api-ref <!nodoc>,
@@ -38,13 +36,13 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy,
  python3-oslo.serialization,
- python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 7.0.0),
+ python3-oslo.service (>= 4.2.0),
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslotest <!nocheck>,
  python3-paste,
@@ -156,11 +154,9 @@
  python3-cffi,
  python3-cryptography,
  python3-dateutil,
- python3-eventlet,
  python3-falcon,
  python3-jsonschema,
  python3-keystonemiddleware,
- python3-ldap3,
  python3-microversion-parse,
  python3-oslo.concurrency,
  python3-oslo.config,
@@ -168,13 +164,13 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy,
  python3-oslo.serialization,
- python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 7.0.0),
+ python3-oslo.service (>= 4.2.0),
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-paste,
  python3-pastedeploy,

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# This needs further setup. Let's disable it for now:
 	# barbican.tests.queue.test_keystone_listener.WhenUsingNotificationTask.*
-	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*common\.test_validators\.WhenTestingSecretMetadataValidator\.test_should_validate_all_fields_and_make_key_lowercase.*|.*test_hacking\.HackingTestCase\.test_str_on_exception.*|.*test_hacking\.HackingTestCase\.test_str_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_str_unicode_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_unicode_on_exception.*|.*common\.test_validators\.WhenTestingSimpleCMCOrderValidator\.test_should_raise_with_unsigned_pkcs10_data.*|.*test_keystone_listener\.WhenUsingNotificationTask.*))'
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator --config-file etc/oslo-config-generator/barbican.conf --output-file etc/barbican/barbican.conf
+	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!plugin\.crypto\.test_crypto\.WhenTestingSimpleCryptoPlugin.*|tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret|tasks.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_rollback_with_error_during_project_cleanup|plugin\.interface\.test_secret_store\.TestSecretStorePluginManagerMultipleBackend.*|plugin\.util\.test_multiple_backends\.TestPluginsGenerateStoreAPIMultipleBackend.*|tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumer.*)'
 endif
 
 	# Generate the barbican.conf config using installed python-barbican files.

## barbican 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 alembic>=0.8.10 # MIT
 cffi>=1.7.0 # MIT
 cryptography>=2.1 # BSD/Apache-2.0
-eventlet>=0.27.0 # MIT
 jsonschema>=3.2.0 # MIT
 oslo.config>=6.4.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
@@ -16,7 +15,7 @@
 oslo.log>=4.3.0 # Apache-2.0
 oslo.policy>=4.5.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.service[threading]>=4.2.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=7.0.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.5.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
castellan >= 0.17 # Apache-2.0
pykmip>=0.7.0 # Apache 2.0 License

=== debian/changelog ===
barbican (2:21.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 14:53:13 +0200

barbican (2:21.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 11:17:35 -0700

=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 3.0.1),
 python3-cffi (>= 1.7.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-ddt (>= 1.0.1),
 python3-doc8,
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-ldap (>= 3.0.0),
 python3-microversion-parse (>= 0.2.1),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.5.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-pyflakes (>= 2.1.1), 
 python3-pygments (>= 2.2.0),
 python3-pykmip (>= 0.7.0),
 python3-requests (>= 2.18.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/barbican
Homepage: https://opendev.org/openstack/barbican
Testsuite: autopkgtest-pkg-python

Package: barbican-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-retry
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Retry Scheduler
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Retry Scheduler Service.

Package: barbican-worker
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 barbican-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 3.0.1),
 python3-cffi (>= 1.7.0),
 python3-cryptography (>= 2.1),
 python3-eventlet (>= 0.27.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-ldap (>= 3.0.0),
 python3-microversion-parse (>= 0.2.1),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pykmip (>= 0.8.0),
Recommends:
 python3-pymysql,
Description: OpenStack Key Management Service - Python 3 files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python 3 files and libraries.

=== debian/rules ===
#!/usr/bin/make -f

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with apache2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator \
		--config-file etc/oslo-config-generator/barbican.conf \
		--output-file etc/barbican/barbican.conf
	dh_install -Xusr/etc
	dh_missing --fail-missing -Xusr/etc
	rm -rf $(CURDIR)/debian/python*-barbican/usr/etc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -rf .eggs
	rm -f etc/barbican/barbican.conf

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: barbican-daemons
Depends: barbican-common, barbican-api,
 barbican-worker, barbican-keystone-listener, barbican-retry
Restrictions: needs-root

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/barbican/ barbican-(21.\d.*)\.tar\.gz

## barbican 21.0.0+git20260126.25.317e70e9

=== requirements.txt ===
--- 
+++ 
@@ -26,6 +26,6 @@
 keystonemiddleware>=9.5.0 # Apache-2.0
 SQLAlchemy>=1.4.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-WebOb>=1.7.1 # MIT
+WebOb>=1.8.0 # MIT
 castellan >= 1.2.1 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
barbican (2:21.0.0+git20260126.25.317e70e9-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 21.0.0+git20260126.25.317e70e9
  * d/patches/*: refresh patches
  * New upstream snapshot from 317e70e98c39c39ce44f22b303cd3aaa739abafd
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 26 Jan 2026 07:40:34 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/barbican/ barbican-(21.\d.*)\.tar\.gz
